Package com.tietoenator.trip.jxp.graph

# Class TdbGraphQueryResult

java.lang.Object
com.tietoenator.trip.jxp.graph.TdbGraphQueryResult

All Implemented Interfaces:
  `com.tietoenator.trip.jxp.internal.utils.DOMSink`

public class TdbGraphQueryResult extends Object implements com.tietoenator.trip.jxp.internal.utils.DOMSink
Represents the result of a query in the TRIP graph query language format.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getRecordCount()`
  The number of records associated with this result.
  `int`
  `getSearchId()`
  The numeric ID of the search set associated with this result.
  `boolean`
  `isEdgeSet()`
  Returns true if this query result contains graph edges.
  `boolean`
  `isVertexSet()`
  Returns true if this query result contains graph vertices.
  `TdbGraphSet`
  `toGraphSet()`
  Returns a TdbGraphSet object for this query result if and only if the result contains graph edges.
  `TdbSearchSet`
  `toSearchSet()`
  Returns a TdbSearchSet object for this query result.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getRecordCount

    public int getRecordCount()
    The number of records associated with this result.
    Returns:
      Record count

  - ### getSearchId

    public int getSearchId()
    The numeric ID of the search set associated with this result.
    Returns:
      Search set id.

  - ### isEdgeSet

    public boolean isEdgeSet()
    Returns true if this query result contains graph edges. If this is the case, the method toGraphSet() returns a valid object.
    Returns:
      True if the result is an edge set.

  - ### isVertexSet

    public boolean isVertexSet()
    Returns true if this query result contains graph vertices.
    Returns:
      True if the result is a vertex set.

  - ### toGraphSet

    public TdbGraphSet toGraphSet()
    Returns a TdbGraphSet object for this query result if and only if the result contains graph edges.
    Returns:
      Returns a TdbGraphSet object or null if the result contains vertices.

  - ### toSearchSet

    public TdbSearchSet toSearchSet()
    Returns a TdbSearchSet object for this query result.
    Returns:
      Returns a TdbSearchSet object with either edges or vertices.
    See Also:
      - `isEdgeSet()`
      - `isVertexSet()`
      - `toGraphSet()`